import { Database } from './database.js';
import { OAuth } from './oauth.js';
import { Passwordless } from './passwordless.js';
export * from './database.js';
export * from './oauth.js';
export * from './passwordless.js';
export { IdTokenValidatorError } from './id-token-validator.js';
export { AuthApiError } from './base-auth-api.js';
export class AuthenticationClient {
    constructor(options) {
        this.database = new Database(options);
        this.oauth = new OAuth(options);
        this.passwordless = new Passwordless(options);
    }
}
//# sourceMappingURL=index.js.map